Bug Hunting Session
Bug 81845 - LibO will not start for non-priviledged user
Summary: LibO will not start for non-priviledged user
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-28 19:00 UTC by James B. Byrne
Modified: 2016-10-10 11:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2014-07-28 19:00:33 UTC
Problem description: 
When starting LibreOffice the splachs screen is repeated looped through until one of the following two messages appears:

libreoffice 4.2 the application cannot be started [context="shared"] caught
unexpected com.sun.start.ucb.InteractiveAugmentedOException: an error occured
during file opening

or

libreoffice 4.2 the application cannot be started [context="shared"] caught
com.sun.star.ucb.NameClashException:folder exiists and overwrite forbidden

Steps to reproduce:
1. As Administrator Install LibreOffice
2. Logon as non-priviledged user in MS-AD 
3. Click on LibreOffice desktop icon

Current behavior:

Splash screen repeatedly displays startup sequence until error report message window displays

Expected behavior:

Splash screen displays once and program opens.

This occurs in both 4.2.2 and 4.2.5.  Program fversion formerly worked on user computer. User profile was deleted locally and renewed from domain controller via logon

              
Operating System: Windows 7
Version: 4.2.2.1 release
Comment 1 James B. Byrne 2014-07-29 20:48:22 UTC
Further info:

This problem relates to a MicroSoft Windows Server architectural issue.  The Active Directory (AD) domain that the user belongs to runs Windows 2000 Advance Server as the OS.  The user has recently had their workstation (MS-XPpro-SP3) swapped for one running MS-Win7proV1.   They use a roaming profile.

They had been a long-time user of LibreOffice and previously OpenOffice.  Thus their LO Application Data directories were created by the XP workstation.  When the Win7 was swapped everything continued to work through several upgrades of LO, including LO-4.2.5.  As some point in the recent past some change occurred that prompted LO to create a new User/App Data/Libreloffice/X folder, presumably because it had some problem reading the X-1 folder.  

The new folder was created with permissions which did not permit the LibreOffice application to access the files that it had just created.  It is possible that the new folder was created when LO was run with administrative privileges.  Whatever the case, it seems that there is an issue with the user permissions when a new LOB App Data folder is required on a Win-7 system.

The problem was fixed by removing the old LO folder in App Data and having the user log onto their roaming profile on a WinXPproSP3 workstation and run LO there.  This created a new LO App Data folder which was then accessible when LO was run on their normal Win7 workstation.
Comment 2 James B. Byrne 2014-07-29 20:49:28 UTC
PS. The problem exists in 4.2.2 and 4.2.4
Comment 3 Stephan Bergmann 2014-11-20 08:52:34 UTC
(In reply to James B. Byrne from comment #1)
> They had been a long-time user of LibreOffice and previously OpenOffice. 
> Thus their LO Application Data directories were created by the XP
> workstation.  When the Win7 was swapped everything continued to work through
> several upgrades of LO, including LO-4.2.5.  As some point in the recent
> past some change occurred that prompted LO to create a new User/App
> Data/Libreloffice/X folder, presumably because it had some problem reading
> the X-1 folder.  

What do you mean with X and X-1 here?  Any LO 3 uses a LibreOffice/3 folder (and creates it if it does not yet exist), and any LO 4 uses a LibreOffice/4 folder (and creates it if it does not yet exist).
Comment 4 tommy27 2015-03-07 10:13:18 UTC
please answer Stephan questions in previous comment and give an update of the bug current status with latest LibO releases (4.3.6 and 4.1.1 are available)

consider upgrading since the 4.2.x branch is obsolete and no longer supported

I set status to NEEDINFO waiting for user feedback
Comment 5 James B. Byrne 2015-03-09 13:39:36 UTC
Unable to provide requested information.  That version is no longer in use at our location.
Comment 6 Cor Nouws 2015-10-13 10:13:04 UTC
(In reply to James B. Byrne from comment #5)
> Unable to provide requested information.  That version is no longer in use
> at our location.

Hi James,

So may be assume the problem does not exist any more at your side?

Thanks - Cor
Comment 7 Xisco Faulí 2016-09-11 20:33:04 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2016-10-10 11:14:21 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20161010